<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN"
          "http://www.w3.org/TR/REC-html40/loose.dtd">
<HTML>

<HEAD>
<TITLE>JFLA 99</TITLE>
</HEAD>

<BODY BGCOLOR="#FFFFFF">

<H1 ALIGN=CENTER>JFLA 99: relecture du papier 10</H1>

<P>Numero du papier: 10

<P>Nom du papier et auteurs:
        Integration des typages fonctionnel et concurrent d'un langage fonctionn
el d'acteurs
<P>        Matthias Colin, Marc Pantel, Fabien Dagnat, Patrick Salle

<H2>1</H2>

<P>Nom du rapporteur: Roberto Di Cosmo

<P>Confiance en la note: 2
<P> (1 : je n'ai pas compris car ce n'est pas mon domaine.
<P>  2 : j'ai compris, mais je ne domine pas le sujet.
<P>  3 : j'ai tout compris car c'est mon domaine.)

<P>Notation du papier: 3.5
<P> (1: a rejeter; 2: ininteressant; 3: acceptable;
<P>  4: bon papier; 5: tres bon papier)

<P>Commentaires aux auteurs:

<P>Ce papier presente un systeme de type pour un sous-langage de ML-Act (un langage
fonctionnel  avec   acteurs),  qui represente   une   evolution  par rapport aux
approches  anterieurs, quoique le polymorphisme ne  soit pas traite  dans le cas
present.  Le langage, le systeme de types  et la generation des contraintes lors
du typage   sont clairement  exposes.  L'algorithme   de resolution   est  aussi
clairement presente, mais  sans qu'on etablisse un theoreme  de  correction.  Le
tout est complete par quelques exemples detailles. L'interet du travail presente
reside dans  l'integration en un  seul systeme  de contraintes  du typage  de la
partie fonctionnelle  et de l'analyse  statique de l'envoi  de  message. On peut
regretter l'absence d'une  preuve de correction de  l'algorithme qui permette de
caracteriser exactement la classe de messages orphelins capturee.


<P>Commentaires reserves au comite de programme:

<H2>2</H2>

<P>

</BODY>
</HTML>
